# Generated by Django 2.0.5 on 2021-12-29 07:43

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0102_user_previous_login'),
        ('document', '0057_auto_20211228_0909'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConnectwisePurchaseOrderData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('crm_id', models.PositiveIntegerField()),
                ('vendor_company_name', models.CharField(max_length=500)),
                ('vendor_company_id', models.PositiveIntegerField()),
                ('additional_data', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('po_number', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='details', to='document.ConnectwisePurchaseOrder')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
